---
title: "Create organization"
url: "https://docs.signnow.com/docs/organization/operations/post-v2-organizations"
type: "endpoint"
section: "organization"
slug: "organization/operations/post-v2-organizations"
method: "POST"
path: "/v2/organizations"
operation_id: "post-v2-organizations"
authorization: "bearer"
---

# Create organization

`POST /v2/organizations`

Creates an Organization. The user who created the organization - automatically becomes the admin(old - super admin) of this organization

## Authorization

bearer

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "name"
  ],
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "description": "Name of the organization. Max length: 255 chars."
    }
  },
  "x-examples": {
    "example-1": {
      "name": "Test ORG"
    }
  },
  "description": ""
}
```

**Example** (`application/json`)

```json
{
  "name": "Test ORG"
}
```

## Responses

### 200

Returns the id of the created organization in case of successful response. Returns an error when:

* If user with a trial sub tries to create more than 5 organizations or If user with Professional or Enterprise subscription tries to create more than 50 organizationsIf user with Professional or Enterprise subscription tries to create more than 50 organizations, "code": 12001006. Message: "The number of created organizations has been exceeded."
* If user who does not have Trial, Professional or Enterprise subscription tries to create an organization, "code": 12003002. Message: "Access denied for current subscription."
* Request without mandatory parameters, "code": 12001002. Message: "The `name` field is required."
* Request with name more than 255 chars length, "code": 12001004. Message: "The `name` field length must be less than 255 characters."
* Request with invalid format of name parameter value, "code": 12001003. Message: "The `name` field must be a string."

**Example** (`example-1`)

```json
{
  "id": "1afee427a35e404e9eb6f98cb6586f5e3ccef0a2"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "Test ORG"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/post-v2-organizations*
